within MoMoLib.Air.Air_Utilities.Inverses;
function dofpT "Compute d for given p and T"
  extends Modelica.Icons.Function;
  input SI.Pressure p "pressure";
  input SI.Temperature T "temperature (K)";
  input SI.Pressure delp "iteration converged if (p-pre(p) < delp)";
  output SI.Density d "density";

protected
  Integer i=0 "loop counter";
  Real dp "pressure difference";
  SI.Density deld "density step";
  Modelica.Media.Common.HelmholtzDerivs f
    "dimensionless Helmholtz function and dervatives w.r.t. delta and tau";
  Modelica.Media.Common.NewtonDerivatives_pT nDerivs
    "derivatives needed in Newton iteration";
  Boolean found=false "flag for iteration success";

algorithm
  d := p/(Air_Base.Constants.R*T);

  while ((i < 100) and not found) loop
    f := Basic.Helmholtz(d, T);
    nDerivs := Modelica.Media.Common.Helmholtz_pT(f);
    dp := nDerivs.p - p;
    if (abs(dp) <= delp) then
      found := true;
    end if;
    deld := dp/nDerivs.pd;
    d := d - deld;
    i := i + 1;
  end while;
end dofpT;
