within MoMoLib.Air.Air_Utilities;
function T_ph_der "derivative function of T_ph"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input MoMoLib.Common.Properties aux "auxiliary record";
  input Real p_der "derivative of pressure";
  input Real h_der "derivative of specific enthalpy";
  output Real T_der "derivative of temperature";
algorithm
  T_der := ((-aux.rho*aux.pd + aux.T*aux.pt)/(aux.rho*aux.rho*aux.pd*aux.cv +
    aux.T*aux.pt*aux.pt))*p_der + ((aux.rho*aux.rho*aux.pd)/(aux.rho*aux.rho*
    aux.pd*aux.cv + aux.T*aux.pt*aux.pt))*h_der;
end T_ph_der;
