within MoMoLib.Air.Air_Utilities;
function airBaseProp_dT
  "intermediate property record for air (d and T prefered states)"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Density d "density";
  input Modelica.SIunits.Temperature T "temperature";
  output MoMoLib.Common.Properties aux "auxiliary record";
protected
  Modelica.Media.Common.HelmholtzDerivs f
    "dimensionless Helmholtz funcion and dervatives w.r.t. delta and tau";
algorithm
  aux.rho := d;
  aux.T := T;
  aux.R := Air_Base.Constants.R;
  f := Basic.Helmholtz(d, T);
  aux.p := aux.R*d*T*f.delta*f.fdelta;
  aux.h := aux.R*T*(f.tau*f.ftau + f.delta*f.fdelta) - Air_Base.Constants.h_off;
  aux.s := aux.R*(f.tau*f.ftau - f.f) - Air_Base.Constants.s_off;
  aux.pd := aux.R*T*f.delta*(2*f.fdelta + f.delta*f.fdeltadelta);
  aux.pt := aux.R*d*f.delta*(f.fdelta - f.tau*f.fdeltatau);
  aux.cv := aux.R*(-f.tau*f.tau*f.ftautau);
  aux.cp := aux.cv + aux.T*aux.pt*aux.pt/(d*d*aux.pd);
end airBaseProp_dT;
