within MoMoLib.Air.Air_Utilities;
function airBaseProp_ph "intermediate property record for air"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  output MoMoLib.Common.Properties aux "auxiliary record";
protected
  Modelica.Media.Common.HelmholtzDerivs f
    "dimensionless Helmholtz funcion and dervatives w.r.t. delta and tau";
  Integer error "error flag for inverse iterations";
algorithm
  aux.p := p;
  aux.h := h;
  aux.R := Air_Base.Constants.R;
  (aux.rho,aux.T) := Inverses.dTofph(
    p,
    h,
    delp=iter.delp,
    delh=iter.delh);
  f := Basic.Helmholtz(aux.rho, aux.T);
  aux.s := aux.R*(f.tau*f.ftau - f.f) - Air_Base.Constants.s_off;
  aux.pd := aux.R*aux.T*f.delta*(2*f.fdelta + f.delta*f.fdeltadelta);
  aux.pt := aux.R*aux.rho*f.delta*(f.fdelta - f.tau*f.fdeltatau);
  aux.cv := aux.R*(-f.tau*f.tau*f.ftautau);
  aux.cp := aux.cv + aux.T*aux.pt*aux.pt/(aux.rho*aux.rho*aux.pd);
end airBaseProp_ph;
