within MoMoLib.Air.Air_Utilities;
function airBaseProp_ps "intermediate property record for air"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEntropy s "specific entropy";
  output MoMoLib.Common.Properties aux "auxiliary record";
protected
  Modelica.Media.Common.HelmholtzDerivs f
    "dimensionless Helmholtz funcion and dervatives w.r.t. delta and tau";
algorithm
  aux.p := p;
  aux.s := s;
  aux.R := Air_Base.Constants.R;
  (aux.rho,aux.T) := Inverses.dTofps(
    p=p,
    s=s,
    delp=iter.delp,
    dels=iter.dels);
  f := Basic.Helmholtz(aux.rho, aux.T);
  aux.h := aux.R*aux.T*(f.tau*f.ftau + f.delta*f.fdelta) - Air_Base.Constants.h_off;
  aux.pd := aux.R*aux.T*f.delta*(2*f.fdelta + f.delta*f.fdeltadelta);
  aux.pt := aux.R*aux.rho*f.delta*(f.fdelta - f.tau*f.fdeltatau);
  aux.cv := aux.R*(-f.tau*f.tau*f.ftautau);
  aux.cp := aux.cv + aux.T*aux.pt*aux.pt/(aux.rho*aux.rho*aux.pd);
end airBaseProp_ps;
