within MoMoLib.Air.Air_Utilities;
function beta_props_dT
  "isobaric expansion coefficient as function of density and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Density d "density";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.RelativePressureCoefficient beta
    "isobaric expansion coefficient";
algorithm
  beta := aux.pt/(aux.rho*aux.pd);
  annotation (Inline=false, LateInline=true);
end beta_props_dT;
