within MoMoLib.Air.Air_Utilities;
function beta_props_ph
  "isobaric expansion coefficient as function of pressure and specific enthalpy"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.RelativePressureCoefficient beta
    "isobaric expansion coefficient";
algorithm
  beta := aux.pt/(aux.rho*aux.pd);
  annotation (Inline=false, LateInline=true);
end beta_props_ph;
