within MoMoLib.Air.Air_Utilities;
function cp_props_pT
  "specific heat capacity at constant pressure as function of pressure and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.SpecificHeatCapacity cp "specific heat capacity";
algorithm
  cp := aux.cv + aux.T*aux.pt*aux.pt/(aux.rho*aux.rho*aux.pd);
  annotation (Inline=false, LateInline=true);
end cp_props_pT;
