within MoMoLib.Air.Air_Utilities;
function ddhp_props "density derivative by specific enthalpy"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.DerDensityByEnthalpy ddhp
    "density derivative by specific enthalpy";
algorithm
  ddhp := -aux.rho*aux.rho*aux.pt/(aux.rho*aux.rho*aux.pd*aux.cv + aux.T*aux.pt
    *aux.pt);
  annotation (Inline=false, LateInline=true);
end ddhp_props;
