within MoMoLib.Air.Air_Utilities;
function ddph_props "density derivative by pressure"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.DerDensityByPressure ddph
    "density derivative by pressure";
algorithm
  ddph := ((aux.rho*(aux.cv*aux.rho + aux.pt))/(aux.rho*aux.rho*aux.pd*aux.cv
     + aux.T*aux.pt*aux.pt));
  annotation (Inline=false, LateInline=true);
end ddph_props;
