within MoMoLib.Air.Air_Utilities;
function isentropicExponent_props_dT
  "isentropic exponent as function of density and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Density d "density";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Real gamma "isentropic exponent";
algorithm
  gamma := 1/(aux.rho*aux.p)*((aux.pd*aux.cv*aux.rho*aux.rho + aux.pt*aux.pt*
    aux.T)/(aux.cv));
  annotation (Inline=false, LateInline=true);
end isentropicExponent_props_dT;
