within MoMoLib.Air.Air_Utilities;
function isentropicExponent_props_pT
  "isentropic exponent as function of pressure and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Real gamma "isentropic exponent";
algorithm
  gamma := 1/(aux.rho*p)*((aux.pd*aux.cv*aux.rho*aux.rho + aux.pt*aux.pt*aux.T)
    /(aux.cv));
  annotation (Inline=false, LateInline=true);
end isentropicExponent_props_pT;
