within MoMoLib.Air.Air_Utilities;
function kappa_ph
  "isothermal compressibility factor as function of pressure and specific enthalpy"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  output Modelica.SIunits.IsothermalCompressibility kappa
    "isothermal compressibility factor";
algorithm
  kappa := kappa_props_ph(
    p,
    h,
    Air_Utilities.airBaseProp_ph(p, h));
end kappa_ph;
