within MoMoLib.Air.Air_Utilities;
function kappa_props_pT
  "isothermal compressibility factor as function of pressure and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.IsothermalCompressibility kappa
    "isothermal compressibility factor";
algorithm
  kappa := 1/(aux.rho*aux.pd);
  annotation (Inline=false, LateInline=true);
end kappa_props_pT;
