within MoMoLib.Air.Air_Utilities;
function rho_pT_der "derivative function of rho_pT"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  input Real p_der "derivative of pressure";
  input Real T_der "derivative of temperature";
  output Real rho_der "derivative of density";
algorithm
  rho_der := (1/aux.pd)*p_der - (aux.pt/aux.pd)*T_der;
end rho_pT_der;
