within MoMoLib.Air.Air_Utilities;
function rho_ph_der "derivative function of rho_ph"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input MoMoLib.Common.Properties aux "auxiliary record";
  input Real p_der "derivative of pressure";
  input Real h_der "derivative of specific enthalpy";
  output Real rho_der "derivative of density";
algorithm
  rho_der := ((aux.rho*(aux.cv*aux.rho + aux.pt))/(aux.rho*aux.rho*aux.pd*aux.cv
     + aux.T*aux.pt*aux.pt))*p_der + (-aux.rho*aux.rho*aux.pt/(aux.rho*aux.rho*
    aux.pd*aux.cv + aux.T*aux.pt*aux.pt))*h_der;
end rho_ph_der;
