within MoMoLib.Air.Air_Utilities;
function velocityOfSound_props_dT
  "speed of sound as function of density and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Density d "density";
  input Modelica.SIunits.Temperature T "temperature";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.Velocity a "speed of sound";
algorithm
  a := sqrt(max(0, ((aux.pd*aux.rho*aux.rho*aux.cv + aux.pt*aux.pt*aux.T)/(aux.rho
    *aux.rho*aux.cv))));
  annotation (Inline=false, LateInline=true);
end velocityOfSound_props_dT;
