within MoMoLib.Air.Air_Utilities;
function velocityOfSound_props_ph
  "speed of sound as function of pressure and specific enthalpy"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input MoMoLib.Common.Properties aux "auxiliary record";
  output Modelica.SIunits.Velocity a "speed of sound";
algorithm
  a := sqrt(max(0, aux.pd + aux.pt*aux.pt*aux.T/(aux.rho*aux.rho*aux.cv)));
  annotation (Inline=false, LateInline=true);
end velocityOfSound_props_ph;
