within MoMoLib.Common;
function Gibbs2_dT
  "Function to calculate analytic derivatives for computing p given d and T"
  extends Modelica.Icons.Function;
  input MoMoLib.Common.GibbsDerivs2 g
    "dimensionless derivatives of Gibbs function";
  output MoMoLib.Common.NewtonDerivatives_dT nderivs
    "derivatives for Newton iteration to compute p from d and T";

algorithm
  nderivs.v := g.gp;
  nderivs.vp := nderivs.v*g.gpp/g.gp;
end Gibbs2_dT;
