within MoMoLib.Common;
function Gibbs2_ph
  "Function to calculate analytic derivatives for computing T given p and h"
  extends Modelica.Icons.Function;
  input MoMoLib.Common.GibbsDerivs2 g
    "dimensionless derivatives of Gibbs function";
  output Modelica.Media.Common.NewtonDerivatives_ph nderivs
    "derivatives for Newton iteration to calculate d and t from p and h";

algorithm
  nderivs.h := g.g - g.T*g.gT;
  nderivs.ht := -g.T*g.gTT;
end Gibbs2_ph;
