within MoMoLib.Common;
function Gibbs2_ps
  "function to calculate analytic derivatives for computing d and t given p and s"

  extends Modelica.Icons.Function;
  input MoMoLib.Common.GibbsDerivs2 g
    "dimensionless derivatives of Gibbs function";
  output Modelica.Media.Common.NewtonDerivatives_ps nderivs
    "derivatives for Newton iteration to compute T from p and s";

algorithm
  nderivs.s := -g.gT;
  nderivs.st := -g.gTT;
end Gibbs2_ps;
