within MoMoLib.Common;
record GibbsDerivs2
  "derivatives of Gibbs function w.r.t. pressure and temperature"

  extends Modelica.Icons.Record;
  SI.Pressure p "pressure";
  SI.Temperature T "temperature";
  SI.SpecificHeatCapacity R "specific heat capacity";
  Real pi(unit="1") "dimensionless pressure";
  Real theta(unit="1") "dimensionless temperature";
  Real g(unit="J/kg") "Gibbs function";
  Real gp(unit="m3/kg") "derivative of g w.r.t. p";
  Real gpp(unit="m3/(kg.Pa)") "2nd derivative of g w.r.t. p";
  Real gT(unit="J/(kg.K)") "derivative of g w.r.t. T";
  Real gTT(unit="J/(kg.K2)") "2nd derivative of g w.r.t. T";
  Real gTp(unit="m3/(kg.K)") "mixed derivative of g w.r.t. T and p";
end GibbsDerivs2;
