within MoMoLib.Common.Smoothing;
function smoothOrder3 "Return a smooth function of order 3"
  extends Modelica.Icons.Function;
  input Real f "value returned if x < x0 - delta/2";
  input Real g "value returned if x > x0 + delta/2";
  input Real x "point of evaluation";
  input Real x0 "non-smooth point";
  input Real delta "region around x0";
  output Real z;

protected
  Real T;
  Real t;
  Real phi;

algorithm
  phi := (x - x0)/delta*Modelica.Constants.pi;
  t := -1/4*(Modelica.Math.cos(phi))^2*Modelica.Math.sin(phi) - 1/2*
    Modelica.Math.sin(phi) + 1/2;
  T := if (x < x0 - delta/2) then 1 elseif (x > x0 + delta/2) then 0 else t;
  z := T*f + (1 - T)*g;
end smoothOrder3;
