within MoMoLib;
package Common "Common components of all packages included in MoMoLib"
extends Modelica.Icons.Package;
import SI = Modelica.SIunits;


protected
  type Rate = Real (final quantity="Rate", final unit="s-1");


  type MolarFlowRate = Real (final quantity="MolarFlowRate", final unit="mol/s");


  type MolarReactionRate = Real (final quantity="MolarReactionRate", final unit=
       "mol/(m3.s)");


  type MolarEnthalpy = Real (final quantity="MolarEnthalpy", final unit="J/mol");


  type DerDensityByEntropy = Real (final quantity="DerDensityByEntropy", final
      unit="kg2.K/(m3.J)");


  type DerEnergyByPressure = Real (final quantity="DerEnergyByPressure", final
      unit="J/Pa");


  type DerEnergyByMoles = Real (final quantity="DerEnergyByMoles", final unit=
        "J/mol");


  type DerEntropyByTemperature = Real (final quantity="DerEntropyByTemperature",
      final unit="J/K2");


  type DerEntropyByPressure = Real (final quantity="DerEntropyByPressure",
      final unit="J/(K.Pa)");


  type DerEntropyByMoles = Real (final quantity="DerEntropyByMoles", final unit=
       "J/(mol.K)");


  type DerPressureByDensity = Real (final quantity="DerPressureByDensity",
      final unit="Pa.m3/kg");


  type DerPressureBySpecificVolume = Real (final quantity=
        "DerPressureBySpecificVolume", final unit="Pa.kg/m3");


  type DerPressureByTemperature = Real (final quantity=
        "DerPressureByTemperature", final unit="Pa/K");


  type DerVolumeByTemperature = Real (final quantity="DerVolumeByTemperature",
      final unit="m3/K");


  type DerVolumeByPressure = Real (final quantity="DerVolumeByPressure", final
      unit="m3/Pa");


  type DerVolumeByMoles = Real (final quantity="DerVolumeByMoles", final unit=
        "m3/mol");


  type IsenthalpicExponent = Real (final quantity="IsenthalpicExponent", unit=
        "1");


  type IsentropicExponent = Real (final quantity="IsentropicExponent", unit="1");


  type IsobaricVolumeExpansionCoefficient = Real (final quantity=
        "IsobaricVolumeExpansionCoefficient", unit="1/K");


  type IsochoricPressureCoefficient = Real (final quantity=
        "IsochoricPressureCoefficient", unit="1/K");


  type IsothermalCompressibility = Real (final quantity=
        "IsothermalCompressibility", unit="1/Pa");


  type JouleThomsonCoefficient = Real (final quantity="JouleThomsonCoefficient",
      unit="K/Pa");


annotation (Documentation(info="<html>
</html>"));
end Common;
