within MoMoLib.MoistAir.Utilities.IF97_new;
function cp_pT
  "specific heat capacity at constant pressure as function of pressure and temperature"

  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input Integer region=0
    "if 0, region is unknown, otherwise known and this input";
  output Modelica.SIunits.SpecificHeatCapacity cp "specific heat capacity";

protected
  Modelica.Media.Common.GibbsDerivs g;

algorithm
  g := MoMoLib.MoistAir.Utilities.IF97_new.g2(p, T);
  cp := -g.R*g.tau*g.tau*g.gtautau;
end cp_pT;
