within MoMoLib.MoistAir.Utilities.IF97_new;
function cv_pT
  "specific heat capacity at constant volume as function of pressure and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input Integer region=0
    "if 0, region is unknown, otherwise known and this input";
  output Modelica.SIunits.SpecificHeatCapacity cv "specific heat capacity";

protected
  Modelica.Media.Common.GibbsDerivs g;

algorithm
  g := MoMoLib.MoistAir.Utilities.IF97_new.g2(p, T);
  cv := g.R*(-g.tau*g.tau*g.gtautau + ((g.gpi - g.tau*g.gtaupi)*(g.gpi - g.tau*
    g.gtaupi)/g.gpipi));
end cv_pT;
