within MoMoLib.MoistAir.Utilities.IF97_new;
function rho_pT "density as function or pressure and temperature"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  output Modelica.SIunits.Density rho "density";

protected
  Modelica.Media.Common.GibbsDerivs g;

algorithm
  g := MoMoLib.MoistAir.Utilities.IF97_new.g2(p, T);
  rho := p/(g.R*T*g.pi*g.gpi);
  annotation (
    derivative=rho_pT_der,
    Inline=false,
    LateInline=true);
end rho_pT;
