within MoMoLib.MoistAir.Utilities.IF97_new;
function rho_pT_der "derivative function of rho_pT"
  extends Modelica.Icons.Function;
  input SI.Pressure p "pressure";
  input SI.Temperature T "temperature";
  input Real p_der "derivative of pressure";
  input Real T_der "derivative of temperature";
  output Real rho_der "derivative of density";
protected
  Modelica.Media.Common.GibbsDerivs g;
  SI.Density d;
  Real vp;
  Real vt;
algorithm
  g := MoMoLib.MoistAir.Utilities.IF97_new.g2(p, T);
  vt := g.R/p*(g.pi*g.gpi - g.tau*g.pi*g.gtaupi);
  vp := g.R*T/(p*p)*g.pi*g.pi*g.gpipi;
  d := p/(g.R*T*g.pi*g.gpi);
  rho_der := (-d^2*vp)*p_der + (-d^2*vt)*T_der;
end rho_pT_der;
