within MoMoLib.MoistAir.Utilities.Inverses;
function p_dTX
  input Modelica.SIunits.Density d "Density";
  input Modelica.SIunits.Temperature T "Temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Modelica.SIunits.AbsolutePressure p "Pressure";

protected
  MassFraction[nX] Xfull=if size(X, 1) == nX then X else cat(
      1,
      X,
      {1 - sum(X)});

  function p_dTX_res
    extends MoMoLib.Common.Numerical.Interfaces.InputFunction;
    input Modelica.SIunits.Density d "Density";
    input Modelica.SIunits.Temperature T "Temperature";
    input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
      "Mass fractions";
    output Modelica.SIunits.AbsolutePressure p "Pressure";
  algorithm
    y := MoMoLib.MoistAir.Utilities.rho_pTX(
        p=x,
        T=T,
        X=X) - d;
  end p_dTX_res;

algorithm
  p := MoMoLib.Common.Numerical.RootFinding.BrentMethod(
    function p_dTX_res(
      d=d,
      T=T,
      X=Xfull),
    173.15,
    2000,
    1e-9);
  annotation (inverse(d=MoMoLib.MoistAir.Utilities.rho_pTX(
          p=p,
          T=T,
          X=X)));
end p_dTX;
