within MoMoLib.MoistAir.Utilities.ReactionIndices;
function U2 "Reaction index for formation of H2"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input Modelica.SIunits.MoleFraction[4] moleFraction "mole fractions";
  output Real u "reaction index for H2";
algorithm
  u := AA[2]*moleFraction[1]/sqrt(moleFraction[3])*(p/p0)^(-0.5)*
    Modelica.Math.exp(BB[2]/T);
end U2;
