within MoMoLib.MoistAir.Utilities.ReactionIndices;
function U4 "Reaction index for formation of H"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input Modelica.SIunits.MoleFraction[4] moleFraction "mole fractions";
  output Real u "reaction index for H";
algorithm
  u := AA[4]*sqrt(U2(
    p,
    T,
    moleFraction))*(p/p0)^(-0.5)*Modelica.Math.exp(BB[4]/T);
end U4;
