within MoMoLib.MoistAir.Utilities.VirialCoefficients;
function Baw_dT "second molar cross-virial coefficient"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.Density d "Density";
  input Modelica.SIunits.Temperature T "Temperature";
  output Modelica.SIunits.MolarVolume baw "second cross-virial coefficient";

protected
  final constant Real[3] a={0.665687E+002,-0.238834E+003,-0.176755E+003};
  final constant Real[3] b={-0.237,-1.048,-3.183};

  Real theta;

algorithm
  theta := T/100;
  for k in 1:3 loop
    baw := baw + a[k]*theta^b[k];
  end for;
  baw := baw*1E-006;
end Baw_dT;
