within MoMoLib.MoistAir.Utilities.VirialCoefficients;
function Caaw_dT "third molar cross-virial coefficient"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.Density d "Density";
  input Modelica.SIunits.Temperature T "Temperature";
  output Real caaw "third cross-virial coefficient";

protected
  final constant Real[5] c={0.482737E+003,0.105678E+006,-0.656394E+008,
      0.294442E+011,-0.319317E+013};

  Real theta=T;

algorithm
  for k in 1:5 loop
    caaw := caaw + c[k]*theta^(1 - k);
  end for;
  caaw := caaw*1E-012;

end Caaw_dT;
