within MoMoLib.MoistAir.Utilities.VirialCoefficients;
function Caww_dT "third molar cross-virial coefficient"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.Density d "Density";
  input Modelica.SIunits.Temperature T "Temperature";
  output Real caww "third cross-virial coefficient";

protected
  final constant Real[4] dd={-0.1072887E+002,0.347804E+004,-0.383383E+006,
      0.33406E+008};

  Real theta=T;

algorithm
  for k in 1:4 loop
    caww := caww + dd[k]*theta^(1 - k);
  end for;
  caww := -exp(caww)*1E-012;

end Caww_dT;
