within MoMoLib.MoistAir.Utilities;
function cp_pTX "specific isobaric heat capacity"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Modelica.SIunits.SpecificHeatCapacity cp "specific heat capacity";

protected
  Real xw;
  Real xws;
  Real pd;
  Real pl;

algorithm
  if (X[1] == 0.0) then
    if (T >= 773.15) then
      cp := MoMoLib.Air.Air_Utilities.cp_pT(p, T) + Utilities.cp_dis_pTX(
        p,
        T,
        X);
    else
      cp := MoMoLib.Air.Air_Utilities.cp_pT(p, T);
    end if;
  else
    pd := Utilities.pd_pTX(
      p,
      T,
      X);
    pl := p - pd;
    xw := X[1]/(1 - X[1]);
    xws := Utilities.xws_pT(p, T);
    if ((xw <= xws) or (xws == -1)) then
      if (T >= 773.15) then
        cp := X[1]*Utilities.IF97_new.cp_pT(pd, T) + X[2]*
          MoMoLib.Air.Air_Utilities.cp_pT(pl, T) + Utilities.cp_dis_pTX(
          p,
          T,
          X);
      else
        cp := X[1]*Utilities.IF97_new.cp_pT(pd, T) + X[2]*
          MoMoLib.Air.Air_Utilities.cp_pT(pl, T);
      end if;
    else
      cp := -1;
    end if;
  end if;
  annotation (Inline=false, LateInline=true);
end cp_pTX;
