within MoMoLib.MoistAir.Utilities;
function cv_pTX "specific isochoric heat capacity"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Modelica.SIunits.SpecificHeatCapacity cv "specific heat capacity";

protected
  Real xw;
  Real xws;
  Real pd;
  Real pl;

algorithm
  if (X[1] == 0) then
    cv := MoMoLib.Air.Air_Utilities.cv_pT(p, T);
  else
    pd := Utilities.pd_pTX(
      p,
      T,
      X);
    pl := p - pd;
    xw := X[1]/(1 - X[1]);
    xws := Utilities.xws_pT(p, T);
    if ((xw <= xws) or (xws == -1)) then
      cv := X[1]*Utilities.IF97_new.cv_pT(pd, T) + X[2]*
        MoMoLib.Air.Air_Utilities.cv_pT(pl, T);
    else
      cv := -1;
    end if;
  end if;
  annotation (Inline=false, LateInline=true);
end cv_pTX;
