within MoMoLib.MoistAir.Utilities;
function pd_pTX "partial pressure of steam"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Modelica.SIunits.AbsolutePressure pd "partial pressure";

protected
  Real xw;
  Real xws;
  Real pds;

algorithm
  if (X[1] == 0) then
    pd := 0;
  else
    xw := X[1]/(1 - X[1]);
    pds := Utilities.pds_pT(p, T);
    pd := xw/(MoMoLib.MoistAir.k_mair + xw)*p;
    xws := Utilities.xws_pT(p, T);
    pd := if ((xw <= xws) or (xws == -1)) then pd else pds;
  end if;
end pd_pTX;
