within MoMoLib.MoistAir.Utilities;
function pds_pT "saturation partial pressure of steam"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  output Modelica.SIunits.AbsolutePressure pds "Pressure";

protected
  Real Tlim;

algorithm
  if (T >= 273.16) then
    pds := Water.IAPWS95.Water95_Utilities.Basic.psat(T);
    Tlim := Water.IAPWS95.Water95_Utilities.Basic.Tsat(p);
  else
    pds := Water.IAPWS09.Ice09_Utilities.Basic.psub(T);
    Tlim := Water.IAPWS09.Ice09_Utilities.Basic.Tsub(p);
  end if;
  if (T <= Tlim) then
    pds := Utilities.f_pT(p, T)*pds;
  else
    pds := -1;
  end if;
end pds_pT;
