within MoMoLib.MoistAir.Utilities;
function phi_pTX "relative humidity"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Real phi "Relative humidity";

protected
  Real xw;
  Real pd;
  Real pds;

algorithm
  if (X[1] == 0) then
    phi := 0;
  else
    xw := X[1]/(1 - X[1]);
    if (T >= 273.16) then
      pds := Modelica.Media.Water.IF97_Utilities.BaseIF97.Basic.psat(T);
    else
      pds := Water.IAPWS09.Ice09_Utilities.Basic.psub(T);
    end if;
    pds := Utilities.f_pT(p, T)*pds;
    pd := xw/(MoMoLib.MoistAir.k_mair + xw)*p;
    if (pd <= pds) then
      phi := pd/pds;
    else
      phi := -1;
    end if;
  end if;
  annotation (Inline=false, LateInline=true);
end phi_pTX;
