within MoMoLib.MoistAir.Utilities;
function s_dis_pTX
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "pressure";
  input Modelica.SIunits.Temperature T "temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Real u "reaction index";
protected
  Real uges;
  Real invMMX[4] "inverses of molar weights";
  SI.MolarMass Mmix "molar mass of mixture";
  MassFraction[4] massFraction "Mass fractions of components";
  Modelica.SIunits.MoleFraction[4] Y
    "Mole fractions of individual components (H2O, N2, O2, Ar) of moist air";
algorithm
  massFraction := {X[1],X[2]*Xi_Air[1],X[2]*Xi_Air[2],X[2]*Xi_Air[3]};
  for i in 1:4 loop
    invMMX[i] := 1/MMX[i];
  end for;
  Mmix := 1/(massFraction*invMMX);
  for i in 1:4 loop
    Y[i] := Mmix*massFraction[i]/MMX[i];
  end for;
  uges := 1 + Utilities.ReactionIndices.U2(
    p,
    T,
    Y) + Utilities.ReactionIndices.U3(
    p,
    T,
    Y) + Utilities.ReactionIndices.U4(
    p,
    T,
    Y) + Utilities.ReactionIndices.U5(
    p,
    T,
    Y) + Utilities.ReactionIndices.U6(
    p,
    T,
    Y);
  u := -T*(Utilities.ReactionIndices.U2(
    p,
    T,
    Y)*Utilities.ReactionIndices.V2(T)/MoMoLib.MoistAir.Utilities.ReactionIndices.BB[
    2] + Utilities.ReactionIndices.U3(
    p,
    T,
    Y)*Utilities.ReactionIndices.V3(T)/MoMoLib.MoistAir.Utilities.ReactionIndices.BB[
    3] + Utilities.ReactionIndices.U4(
    p,
    T,
    Y)*Utilities.ReactionIndices.V4(T)/MoMoLib.MoistAir.Utilities.ReactionIndices.BB[
    4] + Utilities.ReactionIndices.U5(
    p,
    T,
    Y)*Utilities.ReactionIndices.V5(T)/MoMoLib.MoistAir.Utilities.ReactionIndices.BB[
    5] + Utilities.ReactionIndices.U6(
    p,
    T,
    Y)*Utilities.ReactionIndices.V6(T)/MoMoLib.MoistAir.Utilities.ReactionIndices.BB[
    6])/uges*sum(massFraction[j]/MMX[j] for j in 1:4);
end s_dis_pTX;
