within MoMoLib.MoistAir.Utilities;
function s_pTX "specific entropy of moist air"
  extends Modelica.Icons.Function;
  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  input Modelica.SIunits.MassFraction X[:]=MoMoLib.MoistAir.reference_X
    "Mass fractions";
  output Modelica.SIunits.SpecificEntropy s "specific entropy";

protected
  Real xw;
  Real xws;
  Real pd;
  Real pl;

algorithm
  if (X[1] == 0) then
    s := MoMoLib.Air.Air_Utilities.s_pT(p, T);
  else
    pd := Utilities.pd_pTX(
      p,
      T,
      X);
    pl := p - pd;
    xw := X[1]/(1 - X[1]);
    xws := Utilities.xws_pT(p, T);
    if ((xw <= xws) or (xws == -1)) then
      if (T >= 773.15) then
        s := MoMoLib.Air.Air_Utilities.s_pT(pl, T) + xw*Utilities.IF97_new.s_pT(
          pd, T) + (1 + xw)*Utilities.s_dis_pTX(
          p,
          T,
          X);
      else
        s := MoMoLib.Air.Air_Utilities.s_pT(pl, T) + xw*Utilities.IF97_new.s_pT(
          pd, T);
      end if;
    else
      if (T < 273.16) then
        s := MoMoLib.Air.Air_Utilities.s_pT(pl, T) + xws*
          Utilities.IF97_new.s_pT(pd, T) + (xw - xws)*
          Water.IAPWS09.Ice09_Utilities.s_pT(p, T);
      else
        s := MoMoLib.Air.Air_Utilities.s_pT(pl, T) + xws*
          Utilities.IF97_new.s_pT(pd, T) + (xw - xws)*
          Modelica.Media.Water.IF97_Utilities.s_pT(p, T);
      end if;
    end if;
    s := s/(1 + xw);
  end if;
  annotation (Inline=false, LateInline=true);
end s_pTX;
