within MoMoLib.MoistAir.Utilities;
function xws_pT "Humidity ration (absolute) of saturated humid air"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.AbsolutePressure p "Pressure";
  input Modelica.SIunits.Temperature T "Temperature";
  output Real xws "absolute humidity ratio";

protected
  Real pds;
  Real Tlim;

algorithm
  pds := Utilities.pds_pT(p, T);
  Tlim := if (T <= 273.16) then Water.IAPWS09.Ice09_Utilities.Basic.Tsub(p)
     else Water.IAPWS95.Water95_Utilities.Basic.Tsat(p);
  xws := if (T <= Tlim) then MoMoLib.MoistAir.k_mair*pds/(p - pds) else -1;
end xws_pT;
