within MoMoLib.MoistAir;
function massFractionWaterNonVapor
  "Return mass fraction of liquid and solid water"
  extends Modelica.Icons.Function;
  input ThermodynamicState state "Thermodynamic state record";
  output MassFraction X "mass fraction of water varpor";
protected
  Real xw;
  Real xws;
algorithm
  xw := state.X[1]/(1 - state.X[1]);
  xws := Utilities.xws_pT(state.p, state.T);
  X := if (xw <= xws) then 0 else (xw - xws)/(1 + xw);
end massFractionWaterNonVapor;
