within MoMoLib.MoistAir;
function massFractionWaterVapor "Return mass fraction of water vapor"
  extends Modelica.Icons.Function;
  input ThermodynamicState state "Thermodynamic state record";
  output MassFraction X "mass fraction of water varpor";
protected
  Real xw;
  Real xws;
algorithm
  xw := state.X[1]/(1 - state.X[1]);
  xws := Utilities.xws_pT(state.p, state.T);
  X := if (xw <= xws) then xw/(1 + xw) else xws/(1 + xw);
end massFractionWaterVapor;
