within MoMoLib.R134a.Common;
function FindInterval "half-interval search algorithm"
  extends Modelica.Icons.Function;

  input Real x "input";
  input Real[:] breaks "grid points defining the intervals";
  output Integer i "found interval number";
  output Integer error=0 "1=did not find interval";
protected
  Integer n=scalar(size(breaks)) - 1 "max value";
  Integer ix=1 "min value";
  Integer m=n "new interval";
algorithm
  i := 1;
  if ((x < breaks[1]) or (x >= breaks[n])) then
    error := 1;
  end if;
  if ((x < breaks[1]) or (x >= breaks[2])) then
    while m <> ix loop
      if (x < breaks[m]) then
        n := m;
      else
        ix := m;
      end if;
      m := integer(div(ix + n, 2));
    end while;
    i := ix;
  end if;

end FindInterval;
