within MoMoLib.R134a.Common;
record InverseDerivatives_rhoT
  "derivatives required for inversion of density and temperature functions w.r.t. pressure and enthalpy states"
  extends Modelica.Icons.Record;

  Integer phase "number of phases";
  Modelica.SIunits.Pressure p "pressure";
  Modelica.SIunits.Temperature T "kelvin-temperature";
  Modelica.SIunits.Density rho "density";
  Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  Modelica.SIunits.SpecificHeatCapacity cv
    "specific heat capacity at constant volume";
  Real pt "derivative of pressure wrt temperature";
  Real pd "derivative of pressure wrt density";
  Real dpT "dp/dT derivative of saturation curve";

end InverseDerivatives_rhoT;
