within MoMoLib.R134a.Common;
record PhaseBoundaryProperties
  "thermodynamic base properties on the phase boundary"
  extends Modelica.Icons.Record;

  Modelica.SIunits.Density d "density";
  Modelica.SIunits.SpecificEnthalpy h "enthalpy";
  Modelica.SIunits.SpecificEnergy u "inner energy";
  Modelica.SIunits.SpecificEntropy s "entropy";
  Modelica.SIunits.SpecificHeatCapacity cp "heat capacity at constant pressure";
  Modelica.SIunits.SpecificHeatCapacity cv "heat capacity at constant volume";
  Modelica.SIunits.IsothermalCompressibility kappa "isentropic exponent";
  Modelica.SIunits.Velocity a "velocity of sound";
  Modelica.Media.Interfaces.PartialMedium.IsobaricExpansionCoefficient beta
    "isobaric expansion coefficient";
  Modelica.Media.Interfaces.PartialMedium.IsentropicExponent gamma
    "isentropic exponent";
  Real pt "derivative of pressure wrt temperature";
  Real pd "derivative of pressure wrt density";

end PhaseBoundaryProperties;
