within MoMoLib.R134a.R134aData;
record CoeffsThermalConductivity
  extends Modelica.Icons.Record;
  constant Real a_0=-1.05248e-2 "Empirical parameter, [W/(m K)]";
  constant Real a_1=8.00982e-5 "Empirical parameter, [W/(m K^2)]";
  constant Real b[4]={1.836526,5.126143,-1.436883,0.626144}
    "Empirical parameter, [-]";
  constant Real lambda_reducing=2.055e-3 "Reducing factor, [W/(m K)]";
  constant Real q_d=1.89202e9 "Modified effective cutoff wave number, [1/m]";
  constant Real xi_0=1.94e-10 "Critical Amplitude, [m]";
  constant Real GAMMA=0.0496 "Amplitude, [-]";
  constant Real T_ref=561.411 "Arbitrary reference temperature, [K]";
  constant Real p_crit=4059.28 "Critical pressure, [kPa]";
  constant Real rho_crit=5.049886 "Critical density, [mol/L]";
  constant Real nu=0.63 "Universal exponent, [-]";
  constant Real gamma=1.239 "Universal exponent, [-]";
  constant Real R_0=1.03 "Universal amplitude, [-]";

end CoeffsThermalConductivity;
