within MoMoLib.R134a.R134a_ph;
function R134a_liqofdT "properties on liquid boundary phase"

  extends Modelica.Icons.Function;

  input Temperature T "temperature";

  output Common.PhaseBoundaryProperties liq
    "properties on liquid boundary phase";
protected
  Modelica.SIunits.Temperature T_liq "liquid temperature";
  Modelica.SIunits.Density d_liq "liquid density";
  Common.HelmholtzDerivs f "helmholtz derivatives";
algorithm
  if T < R134aData.data.TCRIT then
    d_liq := bubbleDensity(setSat_T(T));
    T_liq := T;
  else
    d_liq := R134aData.data.DCRIT;
    T_liq := R134aData.data.TCRIT;
  end if;
  f := f_R134a(d_liq, T_liq);
  liq := Common.helmholtzToBoundaryProps(f);

end R134a_liqofdT;
