within MoMoLib.R134a.R134a_ph;
function R134a_vapofdT "properties on vapor boundary phase"

  extends Modelica.Icons.Function;

  input Temperature T "temperature";

  output Common.PhaseBoundaryProperties vap
    "properties on vapor boundary phase";
protected
  Modelica.SIunits.Temperature T_vap "vapor temperature";
  Modelica.SIunits.Density d_vap "vapor density";
  Common.HelmholtzDerivs f "helmholtz derivatives";
algorithm
  if T < R134aData.data.TCRIT then
    d_vap := dewDensity(setSat_T(T));
    T_vap := T;
  else
    d_vap := R134aData.data.DCRIT;
    T_vap := R134aData.data.TCRIT;
  end if;
  f := f_R134a(d_vap, T_vap);
  vap := Common.helmholtzToBoundaryProps(f);

end R134a_vapofdT;
