within MoMoLib.R134a.R134a_ph;
function T_ph_der "time derivative function of T_ph"
extends Modelica.Icons.Function;

input AbsolutePressure p "pressure";
input SpecificEnthalpy h "specific enthalpy";
input Common.InverseDerivatives_rhoT derivs "auxiliary record";
input Real p_der "derivative of pressure";
input Real h_der "derivative of specific enthalpy";
output Real T_der "derivative of temperature";
algorithm
if (derivs.phase == 2) then
  T_der := 1/derivs.dpT*p_der;
else
  T_der := ((-derivs.rho*derivs.pd + derivs.T*derivs.pt)/(derivs.rho*derivs.rho*derivs.pd*derivs.
    cv + derivs.T*derivs.pt*derivs.pt))*p_der + (
(derivs.rho*derivs.rho*derivs.pd)/(derivs.rho*derivs.rho*derivs.pd*derivs.cv + derivs.T*derivs.pt*derivs.pt))*h_der;
end if;

  annotation ( Documentation(info="<html>
This function calculates the derivative of temperature w.r.t. time. It is used as derivative function for <a href=\"modelica://MoMoLib.R134a.R134a_ph.T_props_ph> T_props_ph</a>.
</html>"));
end T_ph_der;
