within MoMoLib.R134a.R134a_ph;
function T_props_ph "temperature as function of pressure and specific enthalpy"
  extends Modelica.Icons.Function;

  input AbsolutePressure p "pressure";
  input SpecificEnthalpy h "specific enthalpy";
  input Common.InverseDerivatives_rhoT derivs
    "record for the calculation of T_ph_der";
  output Temperature T "temperature";
algorithm
  T := derivs.T;

  annotation (
    derivative(noDerivative=derivs) = T_ph_der,
    Inline=false,
    LateInline=true,
    Documentation(info="<html>
This function integrates the derivative of temperature w.r.t. time in order to allow a numerical inversion for the complex fundamental equation of state.
</html>"));
end T_props_ph;
