within MoMoLib.R134a.R134a_ph;
function f_R134a
  "calculation of helmholtz derivatives by density and temperature"
  extends Modelica.Icons.Function;

  input Density d "density";
  input Temperature T "temperature";
  output Common.HelmholtzDerivs f "helmholtz derivatives";
protected
  Real delta "reduced density";
  Real tau "reduced temperature";
  Common.HelmholtzDerivs fid "helmholtz derivstives";

algorithm
  delta := d/R134aData.data.DCRIT;
  tau := R134aData.data.TCRIT/T;
  fid := fid_R134a(delta=delta,
    tau=tau);
  f := fres_R134a(delta=
    delta, tau=tau);
  f.f := f.f + fid.f;
  f.fdelta := f.fdelta + fid.fdelta;
  f.fdeltadelta := f.fdeltadelta + fid.fdeltadelta;
  f.ftau := f.ftau + fid.ftau;
  f.ftautau := f.ftautau + fid.ftautau;
  f.d := d;
  f.T := T;
  f.R := R134aData.R;

  annotation ( Documentation(info="<html>
This function adds the ideal gas contribution of the fundamental equation to the residual contribution and computes the helmholtz derivatives w.r.t. temperature and density.
</html>"));
end f_R134a;
