within MoMoLib.R134a.R134a_ph;
function rho_ph_der "time derivative function of density_ph"
extends Modelica.Icons.Function;

input AbsolutePressure p "pressure";
input SpecificEnthalpy h "specific enthalpy";
input Common.InverseDerivatives_rhoT derivs "record for derivatives";
input Real p_der "derivative of pressure";
input Real h_der "derivative of specific enthalpy";
output Real d_der "derivative of density";
algorithm
if (derivs.phase == 2) then
  d_der := (derivs.rho*(derivs.rho*derivs.cv/derivs.dpT + 1.0)/(derivs.dpT*derivs.T))*
    p_der + (-derivs.rho*derivs.rho/(derivs.dpT*derivs.T))*h_der;
else
  d_der := ((derivs.rho*(derivs.cv*derivs.rho + derivs.pt))/(derivs.rho*derivs.rho*derivs.pd
    *derivs.cv + derivs.T*derivs.pt*derivs.pt))*p_der + (
-derivs.rho*derivs.rho*derivs.pt/(derivs.rho*derivs.rho*derivs.pd*derivs.cv + derivs.T*derivs.pt*derivs.pt))*h_der;
end if;

  annotation ( Documentation(info="<html>
This function calculates the derivative of density w.r.t. time. It is used as derivative function for <a href=\"modelica://MoMoLib.R134a.R134a_ph.rho_props_ph> rho_props_ph</a>.
</html>"));
end rho_ph_der;
