within MoMoLib.R134a.R134a_ph;
function rho_props_ph "density as function of pressure and specific enthalpy"
  extends Modelica.Icons.Function;

  input Modelica.SIunits.Pressure p "pressure";
  input Modelica.SIunits.SpecificEnthalpy h "specific enthalpy";
  input Common.InverseDerivatives_rhoT derivs
    "record for the calculation of rho_ph_der";
  output Modelica.SIunits.Density d "density";
algorithm
  d := derivs.rho;

  annotation (
    derivative(noDerivative=derivs) = rho_ph_der,
    Inline=false,
    LateInline=true,
    Documentation(info="<html>
This function integrates the derivative of density w.r.t. time in order to allow a numerical inversion for the complex fundamental equation of state.
</html>"));
end rho_props_ph;
