﻿within ;
package MoMoLib "Modelica Media Package for dry and moist air and R134a"
extends Modelica.Icons.Library;


annotation (uses(Modelica(version="3.2"), Complex(version="1.0")),
    Documentation(info="<html>
<h2>Library description</h2>
<p>
This library contains property functions written in Modelica&copy; for the refrigerant <b>R134a</b>, and <b>moist air</b>. The property models use the Modelica.Media specification (Modelica Standard Library version 3.2). The functions supplied may be used separately.
</p>
<p>
The library is a product of XRG Simulation GmbH. It makes use of external, non-commercial models supplied by Modelica standard library. In order to work correctly, ensure that this library is always loaded with Modelica Standard Library version 3.2.
</p>
<p>
This library was developed as part of the <a href=\"http://www.cleansky.eu/\">Clean Sky</a> JTI project (Project title: MoMoLib—Modelica Model Library Development for Media, Magnetic Systems and Wavelets; Project number: 296369; Theme: JTI-CS-2011-1-SGO-02-026: Modelica Model Library Development Part I).
<p>
Some parts of this library refer to the ThermoFluid library developed at Lund University (<a href=\"http://thermofluid.sourceforge.net/\">http://thermofluid.sourceforge.net</a>).
</p>
<p>
Please refer to Modelica.Media's <a href=\"modelica://Modelica.Media.UsersGuide\"> User Guide </a> for detailed usage information.
</p>

<h2>Disclaimer</h2>
<p>
In no event will XRG Simulation GmbH be liable for any direct, indirect, incidental, special, exemplary, or consequential damages, arising in any way out of the use of this software, even if advised of the possibility of such damage.
</p>
<h4> Copyright (C) 2013, XRG Simulation GmbH </h4>

</html>"));
end MoMoLib;
